# ChangeLog for media-sound/bmpx
# Copyright 1999-2006 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/media-sound/bmpx/ChangeLog,v 1.54 2006/12/17 16:03:43 chutzpah Exp $

*bmpx-0.36.1 (17 Dec 2006)

  17 Dec 2006; Patrick McLean <chutz@gentoo.org> +bmpx-0.36.1.ebuild:
  Version bump.

  07 Dec 2006; Patrick McLean <chutz@gentoo.org> bmpx-0.34.9.ebuild:
  Remove dbus USE flag as it is not an optional feature.

  06 Dec 2006; Patrick McLean <chutz@gentoo.org> bmpx-0.34.9.ebuild:
  Add dbus to IUSE (oops), bug #157312.

*bmpx-0.34.9 (04 Dec 2006)

  04 Dec 2006; Patrick McLean <chutzpah@gentoo.org> -bmpx-0.20.3.ebuild,
  -bmpx-0.32.0.ebuild, -bmpx-0.32.0-r1.ebuild, -bmpx-0.34.3.ebuild,
  -bmpx-0.34.4.ebuild, +bmpx-0.34.9.ebuild:
  Version bump, should fix bug #156339. Clear out all older versions.

*bmpx-0.34.4 (15 Nov 2006)

  15 Nov 2006; Patrick McLean <chutzpah@gentoo.org> -bmpx-0.30.3.ebuild,
  +bmpx-0.34.4.ebuild:
  Version bump, clean out old versions that were always masked anyway.

*bmpx-0.34.3 (12 Nov 2006)

  12 Nov 2006; Patrick McLean <chutzpah@gentoo.org> +bmpx-0.34.3.ebuild:
  Version bump, ebuild contributed by Samuli Suominen
  <sasuomin@uusikaupunki.fi> (bug #154869).

*bmpx-0.32.0-r1 (13 Oct 2006)

  13 Oct 2006; Patrick McLean <chutzpah@gentoo.org> +bmpx-0.32.0-r1.ebuild:
  Revision bump add "p2p" USE flag for SoulSeek support (bug #149975). Change
  mp4vw switch to use_enable rather than use_with (bug #151080). Depend on
  sys-apps/dbus-0.91 to fix some crashes/lockups with the dbus/gtk+
  interaction.

*bmpx-0.32.0 (02 Oct 2006)

  02 Oct 2006; Patrick McLean <chutzpah@gentoo.org> +bmpx-0.32.0.ebuild:
  Version bump.

  29 Sep 2006; Patrick McLean <chutzpah@gentoo.org> -bmpx-0.30.1.ebuild,
  bmpx-0.30.3.ebuild:
  Change neon dependency to neon >= 0.25.5 (bug #149484). Clean up old versions.

*bmpx-0.30.3 (25 Sep 2006)

  25 Sep 2006; Patrick McLean <chutzpah@gentoo.org> bmpx-0.30.1.ebuild,
  +bmpx-0.30.3.ebuild:
  Version bump, remove dep on libvisual as its not used anymore, and sqlite
  since it uses an internal version.

*bmpx-0.30.1 (25 Sep 2006)

  25 Sep 2006; Patrick McLean <chutzpah@gentoo.org> +bmpx-0.30.1.ebuild:
  Version bump (bug #148930), this is going to be masked until dev-cpp/cairomm
  is unmasked with Gnome 2.16.

*bmpx-0.20.3 (25 Jul 2006)

  25 Jul 2006; Patrick McLean <chutzpah@gentoo.org> -bmpx-0.14.4.ebuild,
  -bmpx-0.20.1.1.ebuild, -bmpx-0.20.2.ebuild, +bmpx-0.20.3.ebuild:
  Version bump, update neon dep, drop older versions to make sure we won't get
  the neon upgrade/downgrade cycle anymore.

*bmpx-0.20.2 (11 Jul 2006)

  11 Jul 2006; Patrick McLean <chutzpah@gentoo.org> +bmpx-0.20.2.ebuild:
  Version bump, still no neon-0.26 support yet.

  10 Jul 2006; Patrick McLean <chutzpah@gentoo.org> -bmpx-0.20_beta1.ebuild:
  Remove 0.20_beta1 as 0.20 final is out, currently breaks with latest neon
  anyway (bug #139488). Will unmask when neon is SLOT'ed or bmpx is ported to
  neon 0.26.

*bmpx-0.20.1.1 (10 Jul 2006)

  10 Jul 2006; Patrick McLean <chutzpah@gentoo.org> +bmpx-0.20.1.1.ebuild:
  Version bump, will be package.masked until bug #139488 can be sorted out.
  Will try to get neon SLOT'ed. Ebuild submitted by Samuli Suominen.

*bmpx-0.20_beta1 (04 Jul 2006)

  04 Jul 2006; Patrick McLean <chutzpah@gentoo.org> +bmpx-0.20_beta1.ebuild,
  -bmpx-0.20_pre10.ebuild:
  Version bump, add aac USE flag, remove pre10 since portage will see that as
  the newer version. Ebuild submitted by Samuli Suominen.

*bmpx-0.20_pre10 (03 Jul 2006)

  03 Jul 2006; Patrick McLean <chutzpah@gentoo.org> -bmpx-0.20_pre6.ebuild,
  +bmpx-0.20_pre10.ebuild:
  Version bump, clean up old prerelease version. Added USE flag for libnotify
  support and dropped amazon USE flag since the support has been dropped 
  upstream. Add warning at end of ebuild for potential problems with the DBUS
  support. Ebuild contributed by Samuli Suominen.

  26 Jun 2006; Markus Rothe <corsair@gentoo.org> bmpx-0.20_pre6.ebuild:
  Added ~ppc64; bug #138101

*bmpx-0.20_pre6 (25 Jun 2006)

  25 Jun 2006; Patrick McLean <chutzpah@gentoo.org>
  -files/bmpx-0.20_pre1-64bit.patch, -bmpx-0.20_pre1.ebuild,
  +bmpx-0.20_pre6.ebuild:
  Version bump. Updated deps for new version. Drop ppc64 keyword since new dep
  x11-libs/libnotify is not keyworded ppc64. Ebuild contributed by Samuli 
  Suominen.

*bmpx-0.20_pre1 (19 Jun 2006)

  19 Jun 2006; Patrick McLean <chutzpah@gentoo.org>
  +files/bmpx-0.20_pre1-64bit.patch, +bmpx-0.20_pre1.ebuild:
  Version bump, with a patch to fix compilation on 64bit platforms.

  10 Jun 2006; Patrick McLean <chutzpah@gentoo.org>
  -files/bmpx-0.12.9-dbus-fix.patch,
  -files/bmpx-0.12.9-libtoolize-static-libs.patch,
  -files/bmpx-0.12.9-no-config.patch,
  -files/bmpx-0.12.9-old-config-crash.patch, -bmpx-0.12.9-r2.ebuild:
  Clean up 0.12.9 since it's now keyworded on all the arches it works on (see
  bug #111975 for alpha and sparc).

  02 Jun 2006; Patrick McLean <chutzpah@gentoo.org> bmpx-0.12.9-r2.ebuild,
  -bmpx-0.14.3.ebuild:
  Remove sparc keyword since it apparently doesn't work very well, and clean
  up 0.14.3.

*bmpx-0.14.4 (04 May 2006)

  04 May 2006; Patrick McLean <chutzpah@gentoo.org> +bmpx-0.14.4.ebuild:
  Version bump.

  23 Apr 2006; Thomas Cort <tcort@gentoo.org> bmpx-0.12.9-r2.ebuild:
  Added ~alpha keyword.

*bmpx-0.14.3 (21 Apr 2006)

  21 Apr 2006; Patrick McLean <chutzpah@gentoo.org> metadata.xml,
  -bmpx-0.12.6.1.ebuild, -bmpx-0.12.9.ebuild, -bmpx-0.12.9-r1.ebuild,
  +bmpx-0.14.3.ebuild:
  Take over maintainership, do a version bump to 0.14.3 (using a somewhat
  modified version of the ebuild provided by Samuli Suominen in bug #122930),
  and clean up some old versions.

  06 Jan 2006; Markus Rothe <corsair@gentoo.org> bmpx-0.12.9-r2.ebuild:
  Added ~ppc64

  06 Jan 2006; Gustavo Zacarias <gustavoz@gentoo.org> bmpx-0.12.9-r1.ebuild,
  bmpx-0.12.9-r2.ebuild:
  Given ~sparc keyword wrt #117873

*bmpx-0.12.9-r2 (04 Jan 2006)

  04 Jan 2006; Doug Goldstein <cardoe@gentoo.org>
  +files/bmpx-0.12.9-dbus-fix.patch, bmpx-0.12.9-r1.ebuild,
  +bmpx-0.12.9-r2.ebuild:
  Adding dbus-0.60 fixes to new -r2 and adding blocker against dbus-0.60 to
  -r1 since Azarah is away. Notifying him so he can review when he returns.

  10 Dec 2005; Martin Schlemmer <azarah@gentoo.org> bmpx-0.12.9-r1.ebuild:
  Fix for bug #114336.

  07 Dec 2005; Martin Schlemmer <azarah@gentoo.org> bmpx-0.12.9-r1.ebuild:
  Add xchat-gnome as xchat provider, bug #112191.

*bmpx-0.12.9-r1 (02 Dec 2005)

  02 Dec 2005; Martin Schlemmer <azarah@gentoo.org>
  +files/bmpx-0.12.9-no-config.patch, +bmpx-0.12.9-r1.ebuild:
  Fix crash on first time run.

*bmpx-0.12.9 (02 Dec 2005)

  02 Dec 2005; Martin Schlemmer <azarah@gentoo.org>
  +files/bmpx-0.12.9-libtoolize-static-libs.patch,
  +files/bmpx-0.12.9-old-config-crash.patch, +bmpx-0.12.9.ebuild:
  New release, bug #114109.

  20 Nov 2005; Joseph Jezak <josejx@gentoo.org> bmpx-0.12.6.1.ebuild:
  Marked ~ppc for bug #112622.

*bmpx-0.12.6.1 (14 Nov 2005)

  14 Nov 2005; Martin Schlemmer <azarah@gentoo.org> +bmpx-0.12.6.1.ebuild:
  New release.

*bmpx-0.12.6 (13 Nov 2005)

  13 Nov 2005; Martin Schlemmer <azarah@gentoo.org> +bmpx-0.12.6.ebuild:
  New release.

*bmpx-0.12.5 (13 Nov 2005)

  13 Nov 2005; Martin Schlemmer <azarah@gentoo.org> +bmpx-0.12.5.ebuild:
  New release.

  12 Nov 2005; Martin Schlemmer <azarah@gentoo.org> bmpx-0.12.4.ebuild:
  Add gnome2_pkg_postinst stuff back.

*bmpx-0.12.4 (11 Nov 2005)

  11 Nov 2005; Martin Schlemmer <azarah@gentoo.org> +bmpx-0.12.4.ebuild:
  New release.

*bmpx-0.12.3 (08 Nov 2005)

  08 Nov 2005; Martin Schlemmer <azarah@gentoo.org> +bmpx-0.12.3.ebuild:
  New release.

  01 Nov 2005; Martin Schlemmer <azarah@gentoo.org> bmpx-0.12.2.ebuild:
  Fix dbus version (bug #111146).  Add perl, python and xchat depends.

*bmpx-0.12.2 (31 Oct 2005)

  31 Oct 2005; Martin Schlemmer <azarah@gentoo.org> +bmpx-0.12.2.ebuild:
  New release.  Add perl/python/xchat USE flags.

*bmpx-0.12.1 (26 Oct 2005)

  26 Oct 2005; Martin Schlemmer <azarah@gentoo.org> +bmpx-0.12.1.ebuild:
  New release.  I fixed the major leak, so it should be good.

*bmpx-0.12 (24 Oct 2005)

  24 Oct 2005; Martin Schlemmer <azarah@gentoo.org> +bmpx-0.12.ebuild:
  Version bump, bug #109776 (I am still not happy, as there is a memory leak
  that we have difficulty to track). Should also resolve bug #109494. Add the
  gentoo_ice skin, which is also in XMMS (bug #109772). Some tweaks from Tony
  Vroon <chainsaw@gentoo.org>.

*bmpx-0.12_rc2 (04 Oct 2005)

  04 Oct 2005; Martin Schlemmer <azarah@gentoo.org> +bmpx-0.12_rc2.ebuild:
  New release.

*bmpx-0.12_rc1 (03 Oct 2005)

  03 Oct 2005; Martin Schlemmer <azarah@gentoo.org> +bmpx-0.12_rc1.ebuild:
  New release.

*bmpx-0.12_rc0 (03 Oct 2005)

  03 Oct 2005; Martin Schlemmer <azarah@gentoo.org> +bmpx-0.12_rc0.ebuild:
  New release.

  02 Oct 2005; Martin Schlemmer <azarah@gentoo.org> bmpx-0.11.5.1.ebuild:
  Fix dbus enabling, bug #107789.

  30 Sep 2005; Martin Schlemmer <azarah@gentoo.org> bmpx-0.11.5.1.ebuild:
  Update homepage, bug #107696.

*bmpx-0.11.5.1 (30 Sep 2005)

  30 Sep 2005; Martin Schlemmer <azarah@gentoo.org> +bmpx-0.11.5.1.ebuild:
  New release.

*bmpx-0.11.4 (28 Sep 2005)

  28 Sep 2005; Martin Schlemmer <azarah@gentoo.org> +bmpx-0.11.4.ebuild:
  New release.

*bmpx-0.11.3 (23 Sep 2005)

  23 Sep 2005; Martin Schlemmer <azarah@gentoo.org>
  +files/bmpx-0.11.3-desktop.patch, +bmpx-0.11.3.ebuild:
  New release.

*bmpx-0.11.2 (21 Sep 2005)

  21 Sep 2005; Martin Schlemmer <azarah@gentoo.org>
  +files/bmpx-0.11.2-desktop.patch, +metadata.xml, +bmpx-0.11.2.ebuild:
  Initial import by myself.

